Subject: Re: [net-next RFC PATCH 2/6] net: phy: fill phy_id with C45 PHY

From: Christian Marangi <[email-masked]>
Date: Sun, 18 Feb 2024 20:59:14 +0100

On Sun, Feb 18, 2024 at 07:35:30PM +0000, Russell King (Oracle) wrote:
> On Sun, Feb 18, 2024 at 08:00:28PM +0100, Christian Marangi wrote:
> > With C45 PHYs that provide PHY ID in C45 Package regs, PHY device
> > .phy_id is not filled.
> 
> Intentionally so. Clause 45 PHYs don't have a single ID. Marvell
> 88X3310 is a case in point - there are at least two different vendor
> IDs in this PHY.
> 
> Trying to squash Clause 45 PHY IDs down to a single identifier is
> not sensible.
>

As said in the cover letter was something I notice and was curious if it
was intentional or not. Thanks for the clarification, I will drop.

-- 
	Ansuel